Attention!
To access single products resource, you construct a URL using the template shown below. This template requires you to specify an Id (typically a SKU) for a product. In response, the server returns a corresponding Product document, provided the product is online and assigned to site catalog. The document contains variation attributes (including values) and the variant matrix; this data is provided for both the master and for the variant.
This endpoint may return the following faults:
- 400 - InvalidExpandParameterException - Thrown in case a specified expand parameter value is unknown.
curl "https://{host}/s/{siteId}/dw/shop/v25_6/products/{id}"The id of the requested product.
the optional inventory list ids, for which the availability should be shown.
The locale context.
The expand parameter. A comma separated list with the allowed values (availability, bundled_products, links, promotions, options, images, prices, variations, set_products, recommendations)
The currency mnemonic specified for price.
The flag that indicates whether to retrieve the whole image model for the requested product.
InvalidExpandParameterException - Thrown in case a specified expand parameter value is unknown.
{
"arguments": {},
"cause": {
"cause": "",
"message": "",
"type": ""
},
"display_message_pattern": "",
"message": "",
"stack_trace": "",
"type": ""
}
A map that provides fault arguments.
Data can be used to provide error messages on the client side.
The localized display message pattern, if the request parameter display_locale was given
The message text of the java exception.
The name of the java exception.